<?php

/**
 * Plugin CIBLOC
 * @copyright 2018 MTECT
 * @author Christophe IMBERTI (cf. CPI art L121-1)
 * @license GNU/GPLv3
 */

function cibloc_aide_liste_bloc(
	$arg = ''
) {
	$return = '';
	$liste = '';
	include_spip('inc/cibloc_lire_cache');
	cibloc_lire_cache_definition();
	$tableau = cibloc_aide_en_ligne();

	foreach ($tableau as $valeur) {
		$liste .= '<li><h2>' . str_replace("\'", "'", $valeur[0]) . '</h2>'
				. '<div><b>Syntaxe</b> : ' . $valeur[1] . '</div>';
	}

	$return = '<ul>' . $liste . '</ul>';

	return $return;
}

function cibloc_aide_ressources_automatique($arg = '') {
	$cibloc_info_pj = '';

	include_spip('inc/cibloc_commun');
	$tableau_des_divers = cibloc_tableau_des_divers();
	if (isset($tableau_des_divers['bloc_ressource_automatique'])
		and $tableau_des_divers['bloc_ressource_automatique'] == 'oui') {
		$cibloc_info_pj = 'oui';
	}

	return $cibloc_info_pj;
}
